Bug 16784 - Add table configuration for the suggestions table
Summary: Add table configuration for the suggestions table
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-21 09:38 UTC by vimal kumar
Modified: 2020-05-18 12:42 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 16784: Add table configuration on suggestions table (6.48 KB, patch)
2020-01-13 00:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16784: Add table configuration on suggestions table (6.53 KB, patch)
2020-01-13 09:01 UTC, David Nind
Details | Diff | Splinter Review
Bug 16784: (follow-up) Add missing filter (1.28 KB, patch)
2020-01-15 18:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16784: Add table configuration on suggestions table (6.59 KB, patch)
2020-01-15 22:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16784: (follow-up) Add missing filter (1.33 KB, patch)
2020-01-15 22:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description vimal kumar 2016-06-21 09:38:21 UTC
Dear Developers,
We would like to see export feature (csv format) book suggestions for approval in staff client. In many libraries, Director of the institution want to see the list of suggested books by library users before placing order. He/she would suggest to remove books from list. This feature is useful to get the list of books for approval via OPAC and send to concerned authority before finalization.
Comment 1 Owen Leonard 2017-05-11 14:27:31 UTC
Wouldn't this make more sense as a feature in the staff client?
Comment 2 vimal kumar 2017-05-17 06:20:59 UTC
(In reply to Owen Leonard from comment #1)
> Wouldn't this make more sense as a feature in the staff client?

Right
Comment 3 vimal kumar 2017-05-17 06:21:52 UTC
(In reply to vimal kumar from comment #2)
> (In reply to Owen Leonard from comment #1)
> > Wouldn't this make more sense as a feature in the staff client?
> 
> Right

I agree with your suggestion.
Comment 4 Katrin Fischer 2020-01-11 14:05:42 UTC
Maybe we could add the table configuration with the new export options to the suggestions table. That could solve multiple issues at once.
Comment 5 Owen Leonard 2020-01-13 00:40:25 UTC Comment hidden (obsolete)
Comment 6 David Nind 2020-01-13 09:01:24 UTC
Created attachment 97295 [details] [review]
Bug 16784: Add table configuration on suggestions table

This patch adds DataTables column configuration and export options to
the suggestions management tables in the staff interface.

The columns settings made via the administrative interface will affect
tables under each tab in the interface whether it be organized by
status, library, etc. However because of the way the KohaTable function
is currently written, changes made via the "Columns" button will only
affect the visible table.

To test, apply the patch and go to Acquisitions -> Suggestions.

 - Under each tab, the table of suggestions should have a DataTables
   toolbar with export and columns buttons. These controls should work
   correctly:
   - Showing and hiding columns should work as expected
   - Exports should work, excluding the first and last columns
 - Test the tables when using the various "Organize by" settings.
 - Test changing the settings in Administration -> Columns settings.
   - Verify that the changes you make to that configuration are
     reflected in the suggestions tables.

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Katrin Fischer 2020-01-14 21:35:45 UTC
Hi Owen,

can you check this fail from the QA tools please?

 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/suggestion/suggestion.tt
   FAIL	  filters
		missing_filter at line 841 (                        KohaTable("[% suggestion.suggestiontype %]t", {)

I am not friendly with the datatables yet, so didn't want to break things.
Comment 8 Owen Leonard 2020-01-15 18:45:54 UTC
Created attachment 97408 [details] [review]
Bug 16784: (follow-up) Add missing filter

This follow-up adds a missing template filter quiet qa tool warning.
Comment 9 Katrin Fischer 2020-01-15 22:07:52 UTC
Created attachment 97418 [details] [review]
Bug 16784: Add table configuration on suggestions table

This patch adds DataTables column configuration and export options to
the suggestions management tables in the staff interface.

The columns settings made via the administrative interface will affect
tables under each tab in the interface whether it be organized by
status, library, etc. However because of the way the KohaTable function
is currently written, changes made via the "Columns" button will only
affect the visible table.

To test, apply the patch and go to Acquisitions -> Suggestions.

 - Under each tab, the table of suggestions should have a DataTables
   toolbar with export and columns buttons. These controls should work
   correctly:
   - Showing and hiding columns should work as expected
   - Exports should work, excluding the first and last columns
 - Test the tables when using the various "Organize by" settings.
 - Test changing the settings in Administration -> Columns settings.
   - Verify that the changes you make to that configuration are
     reflected in the suggestions tables.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2020-01-15 22:07:55 UTC
Created attachment 97419 [details] [review]
Bug 16784: (follow-up) Add missing filter

This follow-up adds a missing template filter quiet qa tool warning.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Martin Renvoize 2020-01-20 16:34:19 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-02-01 00:02:22 UTC
Enhancement not backported to 19.11.x branch